Jump to content

Photo

New Elementary Applications and E19 Modules in the Repo


  • This topic is locked This topic is locked
17 replies to this topic

#1 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 12 March 2014 - 02:31 AM

Thanks to the hard work of Seekamp, we've got some awesome elementary applications for folks to try out. New packages to play with:

Elementary Applications:

http://jeffhoogland....-libraries.html

E19 Modules
  • deskshow-e19 (gadget to show the desktop)
  • desksanity-e19 (crazy desktop effects, likely unstable)

~Jeff



A big thank you to everyone who contributes to Bodhi Linux


#2 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 12 March 2014 - 04:02 PM

I get these packages in lubuntu with bodhi repos (64 bit) but they still don't show up on my 3.0.0 alpha install?

#3 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 12 March 2014 - 04:03 PM

You'll need to refresh your repos:

sudo apt-get update

~Jeff

#4 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 12 March 2014 - 04:18 PM

You'll need to refresh your repos:

sudo apt-get update

~Jeff


I refreshed in synaptic should be the same but will try in terminal.

-Update- tried but didn't help was planning a fresh install anyway

Edited by smurfslover, 12 March 2014 - 04:27 PM.


#5 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 12 March 2014 - 04:36 PM

Fresh installs should never be a solution... But as you will. Something is foobared with your sources if you aren't seeing these.

Both 64 and 32bit packages are there -> http://packages.bodh...ol/main/r/rage/

~Jeff

#6 kelticdruid

kelticdruid

    Member

  • Members
  • 20 posts

Posted 12 March 2014 - 04:38 PM

nice little apps. all but enjoy worked for me recieved following error when choosing through menu get application cant start error then ran through terminal

S:~$ enjoy
/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:edje lib/edje/edje_util.c:4161 _size_min_restricted_calc() file /usr/share/enjoy/default.edj, group nowplaying has a non-fixed part 'volume.slider'. Adding 'fixed: 1 1;' to source EDC may help. Continuing discarding faulty part.
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x800357ac is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERR<8876>:evas_main lib/evas/canvas/evas_object_smart.c:1075 _smart_need_recalculate_set() Object 0x80052a97 is not stable during recalc loop
ERROR: could not dlopen() /usr/lib/lightmediascanner/plugins/id3.so: cannot open shared object file: No such file or directory
ERROR: could not dlopen() /usr/lib/lightmediascanner/plugins/ogg.so: cannot open shared object file: No such file or directory
ERROR: could not dlopen() /usr/lib/lightmediascanner/plugins/asf.so: cannot open shared object file: No such file or directory
ERROR: could not dlopen() /usr/lib/lightmediascanner/plugins/flac.so: cannot open shared object file: No such file or directory
CRI<8876>:enjoy win.c:130 _win_populate_job() could not add any lightmediascanner parser!
CRI<8876>:enjoy win.c:133 _win_populate_job() could not create database at /home/keltoi/.config/enjoy/media.db!
keltoi@TARDIS:~$

#7 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 12 March 2014 - 05:15 PM

Our first enjoy package missed having lightmediascanner file plugins as dependencies. For now you can manually install the various lightmediascanner plugins from here -> http://packages.bodh...htmediascanner/

Or wait until I update the package this weekend when these will be installed automatically alongside enjoy.

~Jeff

#8 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 12 March 2014 - 07:40 PM

Fresh installs should never be a solution... But as you will. Something is foobared with your sources if you aren't seeing these.

Both 64 and 32bit packages are there -> http://packages.bodh...ol/main/r/rage/

~Jeff

I have this in my apt sources:
deb http://packages.bodhilinux.com/bodhi trusty main


#9 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 12 March 2014 - 08:25 PM

That is right. What is the output of:

sudo apt-get update && sudo apt-get install rage

~Jeff

#10 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 12 March 2014 - 08:56 PM

They finally showed must have refreshed repos like 15 times today apparently it needed some time ??

Desksanity effects work much smoother on 3.0 alpha as on lubuntu with e19

#11 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 18 March 2014 - 07:49 PM

Added a link to my blog with lots of elementary applications.

~Jeff

#12 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 18 March 2014 - 08:15 PM

Anyone got rage, enjoy or valosoitin to play content on the alpha? I get errors from emotion-gstreamer. Ubuntu-restricted-extras is installed.

#13 fauser17

fauser17

    Member

  • Members
  • 58 posts

Posted 20 March 2014 - 04:18 PM

Hello,
Just a wish but in the "old time" i did like the slideshow module to change my wallpaper. It was working fine if the pictures was .png not jpg but right now i can't find it. Is it somewhere ?
Nothing to bother about just a wish for the future.
Thanks for a piece of information if possible.

#14 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 20 March 2014 - 04:29 PM

This module has not been updated to work with E19 as of yet. Once it is updated it will be added to the repos.

~Jeff

#15 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 20 March 2014 - 08:54 PM

Enjoy and valosoitin fail to play mp3 audio files because of missing gstreamer1.0-plugins-good.
Wonder why this isn't a dependency of ubuntu-restricted-extras??

#16 Jeff

Jeff

    Lead Developer

  • Developer
  • 12416 posts
  • LocationBloomington, IL

Posted 23 March 2014 - 03:18 AM

Added the first version of ePad to the repos tonight -> http://forums.bodhil...-editor-in-efl/

~Jeff

#17 smurfslover

smurfslover

    Member

  • Members
  • 434 posts
  • LocationBelgium

Posted 23 March 2014 - 10:01 AM

Very nice, posted a bug report in this topic.

#18 Duma

Duma

    Artist

  • Members
  • 2392 posts
  • LocationRivalta (TO) - Italia

Posted 04 April 2014 - 08:18 AM

typo error for desktopsanity-e19. The package's name is desksanity-e19
Se sei italiano e interessato a Linux, clicca qui!




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users